* {
  box-sizing: border-box;
}
body {
  margin: auto;
  a {
    text-decoration: none;
  }
  .headlines {
    display: block;
    align-content: center;
    text-align: center;
    font-family: "Raleway", sans-serif;
  }
  .article {
    margin-top: 10px;
    margin-left: 0.5vw;
    color: blue;
    font-size: 25px;
    background-color: rgb(225, 231, 241);
    + img {
      padding-left: auto;
      padding-right: auto;
    }
    h2 {
      color: rgb(59, 2, 59);
    }
    .date {
      opacity: 0.6;
    }
    .author {
      opacity: 0.7;
    }

    .summary {
      padding: 0 3mm;
    }
    .arrow {
      width: auto;
      height: 10px;
      padding-bottom: 0;
      align-items: center;
    }
    .comment {
        right: 0;
        float: right;
        text-align: right;
        font-weight: bold;
        color: rgb(3, 90, 50);
    }
  }
}

nav {
  background: white;
  height: 80px;
  width: 100%;
  .logo {
    color: black;
    line-height: 80px;
    padding: 0 10%;
    font-weight: bold;
    font-size: 11mm;
    font-family: "Ubuntu", sans-serif;
  }
  ul {
    float: right;
    margin-right: 20px;
    li {
      display: inline-block;
      line-height: 80px;
      margin: 0 5px;
      a {
        color: black;
        text-transform: uppercase;
        padding: 7px 13px;
        border-radius: 3px;
        font-size: 2vw;
      }
    }
  }
}
.menubtn {
  font-size: 30px;
  color: black;
  float: right;
  line-height: 80px;
  margin-right: 40px;
  cursor: pointer;
  display: none;
}
#menubutton {
  display: none;
}

.container {
  position: relative;
  width: 100%;
  #sliderimg {
    height: 50vh;
  }
}
.topimage {
  display: block;
  margin-left: auto;
  margin-right: auto;
}
.imagecenter {
  position: absolute;
  top: 25%;
  right: 10%;
  left: 10%;
  text-align: center;
  font-size: 1.5vw;
  background: rgb(66, 61, 61);
  opacity: 0.7;
  color: white;
  h2 {
    opacity: 1;
  }
}
.slider-buttons {
  position: absolute;
  bottom: 5%;
  right: 2%;
  height: 10mm;
  color: rgb(49, 49, 46);
  text-align: center;
  font-size: 2vw;
  text-transform: uppercase;
  border-radius: 50mm;
  opacity: 0.9;
}
.imagebelow {
  position: absolute;
  bottom: -2%;
  right: 2%;
  font-weight: bolder;
  color: rgb(241, 219, 15);
  text-align: center;
  font-size: 1.5vw;
  text-transform: uppercase;
  background: rgb(5, 29, 238);
  border-radius: 50mm;

  padding-left: 10mm;
  padding-right: 10mm;
}
.searchcontainer {
  width: 80%;
  margin-left: auto;
  margin-right: auto;
  position: relative;
  padding-top: 0.3in;
  padding-bottom: 0.3in;
  #search {
    display: block;
    padding-left: auto;
    padding-right: auto;
    width: 100%;
    height: 0.5in;
    border-color: blue;
    align-self: center;
    text-align: center;
    font-size: 0.4in;
  }
  img{
    position: absolute;
    left: 5mm;
    height:0.3in;
    top:0.4in;
  }
}
#buttons{
    text-align: center;
    padding-top: 0.5in;
    padding-bottom: 1in;
    .pages{
        height:4vw;
        width: 4vw;
        margin-left: 1cm;
        color: blue;
        font-size: 3vw;
        background-color: rgb(155, 194, 255);
        border-radius: 30%;
    }
    .pages:hover{
        background-color: rgb(68, 87, 173);
        color: yellow;
    }

}
//CSS FOR MENUBAR
@media (max-width: 765px) {
  .menubtn {
    display: block;
  }
  ul {
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgb(255, 255, 255);
    top: 80px;
    left: -100%;
    text-align: center;
    transition: all 0.5s;
  }
  nav ul li {
    margin: 50px 0;
    line-height: 30px;
    a {
      font-size: 20px;
    }
  }
  a:hover,
  a.active {
    background: none;
    color: black;
  }
  #menubutton:checked ~ ul {
    left: 0;
  }
  .topimage {
    padding-top: 5%;
  }
}
// CSS FOR MOBILE
@media (max-width: 765px) {
  body .article {
    margin-left: 10vw;
    margin-right: 10vw;
  }
  img {
    width: 100%;
    padding-bottom: 5px;
  }
  .imagecenter {
    font-size: 3vw;
  }
}
//CSS FOR DESKTOP
@media (min-width: 765px) {
  .grid {
    display: flex;
    width: 100%;
  }
  .article {
    display: inline-block;
    width: 49%;
    img {
      width: 100%;
    }
  }
  .upperimages {
    width: 25%;
    img {
      width: 100%;
      height: 50%;
      padding-bottom: 5mm;
    }
  }
  .topimage {
    padding-top: 0%;
    padding-right: 5mm;
  }
  .centerimage {
    width: 50%;
    padding-bottom: 5mm;
  }
  .bottomimage {
    padding-left: 5mm;
  }
  .imagecenter {
    font-size: 1.5vw;
  }
  .articlecontainer {
    padding: 0 10vw;
  }
  body {
    .footerimage {
      img {
        width: 16.66666%;
        float: left;
      }
      .lastimage {
        img {
          display: block;
        }
      }
    }
  }
}
